.contact{
  display: flex;

  //padding: 30px 0px 50px 0px;
  flex-direction: column;
  align-items: center;
  justify-content:center;
  border-top: 1px solid #252525;
  //gap: 50px;

&__title{
  color: #333;
  text-align: center;
  font-family: 'Gilroy';
  font-size: 70px;
  font-style: normal;
  font-weight: 300;
  line-height: normal;
  text-transform: uppercase;
  align-self: stretch;
}

  &__build{
    color: #252525;
    text-align: center;
    font-family: 'Gilroy-Bold';
    font-size: 50px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-transform: uppercase;
    align-self: stretch;
  }

  &__text{
    color: #252525;
    text-align: center;
    font-family: Gilroy-Medium;
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
  }

  &__btn{
    display: flex;
    padding: 10px 30px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    align-self: stretch;
    border-radius: 50px;
    background: #252525;

    color: #FFF;
    font-family: Gilroy-Medium;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: capitalize;
  }
}

@media screen and (min-width: 768px) {
  .contact{
    display: flex;
    width: 991px;
    padding: 0px 30px;
    flex-direction: column;
    align-items: flex-start;
    gap: 30px;

  &__title{
    color: #333;
    text-align: center;
    font-family: Gilroy;
    font-size: 150px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    text-transform: uppercase;
  }
    &__build{
      color: #252525;
      text-align: center;
      font-family: Gilroy-Bold;
      font-size: 64px;
      font-style: normal;
      font-weight: 400;
      line-height: normal;
      text-transform: uppercase;
    }
    &__text{
      color: #252525;
      text-align: center;
      font-family: Gilroy-Medium;
      font-size: 34px;
      font-style: normal;
      font-weight: 400;
      line-height: normal;
    }

    &__btn{
      display: flex;
      padding: 10px 30px;
      justify-content: center;
      align-items: center;
      gap: 10px;
      align-self: center;
    }
  }
}

@media screen and (min-width: 1200px) {
  .contact {
    display: grid;
    width: 100%;
    grid-template-columns: 1fr 1fr; /* Два стовпці з однаковою шириною */
    gap: 20px; /* Відступ між елементами гріду */


  &__title {
    grid-column: 1;
    color: #333;
    font-family: Gilroy;
    font-size: 155px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    text-transform: uppercase;/* Займає перший стовпець */
  }

  .contact__build,
  .contact__text,
  .contact__btn {
    grid-column: 2; /* Займають другий стовпець */
  }

    &__build{
      display: flex;
      color: #252525;
      font-family: Gilroy-Bold;
 text-align: left;
      font-size: 64px;
      font-style: normal;
      font-weight: 700;
      line-height: normal;
      text-transform: uppercase;
    }

    &__text{
      color: #252525;
      font-family: Gilroy-Medium;
      font-size: 34px;
      font-style: normal;
      font-weight: 400;
      line-height: normal;
      text-align: left;
    }
    &__btn{
      display: flex;
      padding: 10px 30px;
      justify-content: flex-start;
      align-items: start;
      width: 195px;
      gap: 10px;
    }
  }
}
